--by susi&wing /giants
local modDirectory = g_currentModDirectory
function onLoadMapFinished(mission, node)  
    if node ~= 0 then     
        local priceMaize = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter				
        local compostHudFile = "huds/hud_fill_compost.png"
        local compostHudFileSmall = "huds/hud_fill_compost_sml.png"       		
		
		print();
        local compostFilType = g_fillTypeManager:addFillType("COMPOST", g_i18n:getText("compost"), true, priceMaize * 1.1, 0.00045, math.rad(40), compostHudFile, compostHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local compostCategory = {"BULK"}
	    for _,k in pairs(compostCategory) do
			g_fillTypeManager:addFillTypeToCategory(compostFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		  g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
    end	
	
end	
function load(id, xmlFile, key,customEnvironment)
		local hasmaize =false
		local hascompost=false		
		local object=id					
		if object == nil then
		else
		hasmaize =false
		hascompost=false
			for i,filltype in pairs(object.acceptedFillTypes) do
					
			local fillname=g_fillTypeManager.indexToName[i]
	
				if fillname == "MAIZE" then
					hasmaize=true								
				end;
				if fillname == "COMPOST" then
					hascompost=true								
				end;	
			end;
				
				if hasmaize and not hascompost then
					--add COMPOST zur SellingStation wo MAIZE nimmt
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("COMPOST")
					local price = g_fillTypeManager:getFillTypeByName("COMPOST").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("COMPOST")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;						
		end
end
FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)

